> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Users

> Get a list of users that match the specified criteria



## OpenAPI

````yaml GET /users
openapi: 3.0.3
info:
  title: Multi-Server API
  version: 1.0.0
servers:
  - url: https://api.defaultservice.com/v1
    description: Default service base URL
security:
  - basicAuth: []
paths:
  /users:
    servers:
      - url: https://api.smartermeasure.com/v3
        description: SmarterMeasure User Service
    get:
      summary: Returns all users.
      parameters:
        - in: query
          name: UserID
          schema:
            type: string
          description: Only show users with this UserID.
        - in: query
          name: InternalID
          schema:
            type: string
          description: Only show users with this InternalID.
        - in: query
          name: Email
          schema:
            type: string
          description: Only show users with this email address.
        - in: query
          name: FirstName
          schema:
            type: string
          description: Only show users with this first name.
        - in: query
          name: LastName
          schema:
            type: string
          description: Only show users with this last name.
        - in: query
          name: AccessCode
          schema:
            type: string
          description: Only show users with this access code.
        - in: query
          name: OrderBy
          schema:
            type: string
          description: How the results should be ordered.
        - in: query
          name: ExcludeCustomQuestions
          schema:
            type: boolean
            default: true
          description: Exclude custom questions from results.
        - in: query
          name: limit
          schema:
            type: integer
            default: 50
            maximum: 1000
          description: Limit number of records returned.
        - in: query
          name: offset
          schema:
            type: integer
            default: 1
          description: Offset of the first row.
        - in: query
          name: AssessmentKey
          schema:
            type: string
          description: Comma delimited list of AssessmentKeys.
        - in: query
          name: AdministrativeGroupKey
          schema:
            type: string
          description: Comma delimited list of AdministrativeGroupKeys.
      responses:
        '200':
          description: A list of users.
          content:
            application/json:
              example:
                NumPages: '173'
                Page: '1'
                PageSize: '2'
                Total: '345'
                Start: '1'
                End: '2'
                FirstPageUri: /v3/users?PageSize=2&PAGE=1
                LastPageUri: /v3/users?PageSize=2&PAGE=173
                PreviousPageUri: ''
                NextPageUri: /v3/users?PageSize=2&PAGE=2
                User:
                  - UserId: '10000001'
                    AssessmentKey: sample-register-user
                    AdministrativeGroupKey: DACCD624-65C0-44E5-8515-E9EBA255B202
                    FirstName: Alice
                    LastName: Carter
                    Email: alice.carter@example.com
                    InternalId: STU-001
                    AccessCode: Xk9mPqRt
                    HowManyCourses: []
                    AgeRange: []
                    Gender: []
                    CompletionPercentage: '0'
                    DateTimeStarted: '2026-03-20T18:40:08Z'
                    DateTimeLastUpdated: []
                    DateTimeCompleted: []
                    Uri: /users/10000001
                  - UserId: '10000002'
                    AssessmentKey: sample-register-user
                    AdministrativeGroupKey: DACCD624-65C0-44E5-8515-E9EBA255B202
                    FirstName: Marcus
                    LastName: Webb
                    Email: marcus.webb@example.com
                    InternalId: STU-002
                    AccessCode: Tz4wNbVc
                    HowManyCourses: []
                    AgeRange: []
                    Gender: []
                    CompletionPercentage: '0'
                    DateTimeStarted: '2026-03-20T18:16:33Z'
                    DateTimeLastUpdated: []
                    DateTimeCompleted: []
                    Uri: /users/10000002
              schema:
                type: object
                properties:
                  NumPages:
                    type: string
                    description: Total number of pages.
                  Page:
                    type: string
                    description: Current page number.
                  PageSize:
                    type: string
                    description: Number of records per page.
                  Total:
                    type: string
                    description: Total number of records.
                  Start:
                    type: string
                    description: Start record index for the current page.
                  End:
                    type: string
                    description: End record index for the current page.
                  FirstPageUri:
                    type: string
                  LastPageUri:
                    type: string
                  PreviousPageUri:
                    type: string
                    description: Empty string if on first page.
                  NextPageUri:
                    type: string
                    description: Empty string if on last page.
                  User:
                    description: >-
                      One or more user records. Returns an object when there is
                      a single result, or an array when there are multiple
                      results.
                    oneOf:
                      - $ref: '#/components/schemas/UserRecord'
                      - type: array
                        items:
                          $ref: '#/components/schemas/UserRecord'
components:
  schemas:
    UserRecord:
      type: object
      properties:
        UserId:
          type: string
        AssessmentKey:
          type: string
          description: The assessment key for the group the user belongs to.
        AdministrativeGroupKey:
          type: string
          description: The administrative group key for the user.
        FirstName:
          type: string
        LastName:
          type: string
        Email:
          type: string
          format: email
        InternalId:
          type: string
        AccessCode:
          type: string
          description: The user's assessment access (PIN) code.
        CompletionPercentage:
          type: string
          description: Percentage of the assessment completed (0-100).
        DateTimeStarted:
          type: string
          format: date-time
        DateTimeLastUpdated:
          description: >-
            Date the assessment was last updated. Empty array if not yet
            updated.
          oneOf:
            - type: string
              format: date-time
            - type: array
              items: {}
        DateTimeCompleted:
          description: Date the assessment was completed. Empty array if not yet completed.
          oneOf:
            - type: string
              format: date-time
            - type: array
              items: {}
        HowManyCourses:
          type: array
          items: {}
        AgeRange:
          type: array
          items: {}
        Gender:
          type: array
          items: {}
        Uri:
          type: string
          description: Relative URI to retrieve this user's details.
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Basic authentication with username and password

````